## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate relm4-components

Name:           rust-relm4-components
Version:        0.9.1
Release:        %autorelease
Summary:        Idiomatic GUI library inspired by Elm and based on gtk4-rs

License:        Apache-2.0 OR MIT
URL:            https://crates.io/crates/relm4-components
Source:         %{crates_source}
# https://github.com/Relm4/Relm4/issues/655
Source100:      https://raw.githubusercontent.com/Relm4/Relm4/main/LICENSE-APACHE
Source101:      https://raw.githubusercontent.com/Relm4/Relm4/main/LICENSE-MIT

# Manually created patch for downstream crate metadata changes
Patch:          relm4-components-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
An idiomatic GUI library inspired by Elm and based on gtk4-rs.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+libadwaita-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+libadwaita-devel %{_description}

This package contains library source intended for building other packages which
use the "libadwaita" feature of the "%{crate}" crate.

%files       -n %{name}+libadwaita-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+reqwest-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+reqwest-devel %{_description}

This package contains library source intended for building other packages which
use the "reqwest" feature of the "%{crate}" crate.

%files       -n %{name}+reqwest-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+web-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+web-devel %{_description}

This package contains library source intended for building other packages which
use the "web" feature of the "%{crate}" crate.

%files       -n %{name}+web-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
cp -pav %{SOURCE100} %{SOURCE101} .

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Wed Sep 25 2024 Jonathan Steffan <jsteffan@fedoraproject.org> - 0.9.1-1
- Update to 0.9.1 (fedora#2314220)

* Sat Sep 21 2024 Jonathan Steffan <jsteffan@fedoraproject.org> - 0.8.1-1
- Initial import (fedora#2292545).
## END: Generated by rpmautospec
